Skip to main content
GET
/
api
/
govern
/
data-access
/
policies
List Ranger policies
curl --request GET \
  --url https://api.example.com/api/govern/data-access/policies \
  --header 'Authorization: Bearer <token>'
{
  "policies": [
    {
      "policy_id": 123,
      "policy_name": "<string>",
      "service": "<string>",
      "resources": {},
      "policyType": 0,
      "isEnabled": true,
      "isAuditEnabled": true,
      "policyItems": [
        {}
      ],
      "denyPolicyItems": [
        {}
      ],
      "allowExceptions": [
        {}
      ],
      "denyExceptions": [
        {}
      ],
      "rowFilterPolicyItems": [
        {}
      ],
      "dataMaskPolicyItems": [
        {}
      ],
      "policyPriority": 0,
      "isDenyAllElse": false,
      "policyLabels": [
        "<string>"
      ],
      "description": ""
    }
  ],
  "page": 123,
  "page_size": 123,
  "has_more": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

policy_label
string | null
policy_name
string | null
page
integer
default:1
page_size
integer
default:50

Response

Successful Response

policies
PolicyDetailResponse · object[]
required
page
integer
required
page_size
integer
required
has_more
boolean
required

True when another page is likely available — Ranger's API doesn't return a total count, so page until this is False.